/**
 * Copyright 2023 actions-toolkit authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { GitHubRelease } from '../types/github';
export interface InstallOpts {
    standalone?: boolean;
}
export declare class Install {
    private readonly _standalone;
    constructor(opts?: InstallOpts);
    download(version: string): Promise<string>;
    build(gitContext: string): Promise<string>;
    installStandalone(toolPath: string, dest?: string): Promise<string>;
    installPlugin(toolPath: string, dest?: string): Promise<string>;
    private buildCommand;
    private isStandalone;
    private fetchBinary;
    private platform;
    private filename;
    static getRelease(version: string): Promise<GitHubRelease>;
}
